%define oname music-applet

Name: gnome-applets-extra-music
Version: 2.4.2
Release: alt1
Summary: A GNOME panel applet to control various music players
License: GPLv2+
Group: Sound
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>
Url: http://www.kuliniewicz.org/music-applet/

Source0: http://www.kuliniewicz.org/%oname/downloads/%oname-%version.tar.gz

## The build script will give warnings about missing python modules, such as
## gconf, gnomeapplet, etc.; but these are entirely false positives.
## These modules are only needed at runtime, hence are not included as
## build-time dependencies.
BuildRequires: GConf2 rpm-build-gnome
BuildPreReq: python-module-pygtk-devel
BuildPreReq: libgtk+2-devel
BuildPreReq: libgnome-panel-devel
BuildPreReq: libpango-devel >= 1.6
BuildPreReq: python-module-pygnome-devel

BuildRequires: gcc-c++ perl-XML-Parser  python-modules-encodings

Requires: python-module-dbus
Requires: python-module-notify
Requires: python-module-pygnome-applet
Requires: python-module-pygnome-gconf
Requires: python-module-pygnome-desktop

%description
Music Applet is a small, simple GNOME panel applet that lets you control a
variety of different music players from the panel. Music Applet provides easy
access to information about the current song and the most important playback
controls.

Music Applet is the successor to the Rhythmbox Applet and currently supports
the following music players:
 * Amarok
 * Audacious
 * Banshee
 * Exaile
 * MPD
 * Muine
 * Rhythmbox
 * Quod Libet
 * VLC
 * XMMS1 and XMMS2

%prep
%setup -n %oname-%version

%build
%configure --disable-schemas-install --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %oname

%post
%gconf2_install %oname

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %oname
fi

%files -f %oname.lang
%doc AUTHORS ChangeLog COPYING FAQ NEWS README README.plugins THANKS
%config %_sysconfdir/gconf/schemas/*
%bonobo_serversdir/*.server
%_libdir/gnome-2.0/ui/GNOME_Music_Applet.xml

%python_sitelibdir/musicapplet
%exclude %python_sitelibdir/musicapplet/*.la

%_libexecdir/%oname
%_datadir/%oname
%_datadir/icons/hicolor/*/apps/*

%changelog
* Wed Dec 03 2008 Alexey Shabalin <shaba@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Wed Jun 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue May 27 2008 Alexey Shabalin <shaba@altlinux.ru> 2.3.1-alt1
- Initial build for ALTLinux

